Subject: Re: [OPSAWG] Read-write access in VMM-MIB

From: Randy Presuhn <[email-masked]>
Date: Wed, 28 May 2014 10:21:31 -0700 (GMT-07:00)

Hi -

>From: "t.petch" <[email-masked]>
>Sent: May 28, 2014 2:30 AM
>To: Hirochika Asai <[email-masked]>, joel jaeggli <[email-masked]>
>Cc: [email-masked]
>Subject: Re: [OPSAWG] Read-write access in VMM-MIB
...
>SNMP has never
>said much about persistence (table row status being the exception).

You seem to have overlooked the StorageType textual convention
from RFC 2579.  It's fairly widely used.

Randy

---

From: t.petch <[email-masked]>
Date: Fri, 30 May 2014 11:39:10 +0100

----- Original Message -----
From: "Randy Presuhn" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, May 28, 2014 6:21 PM

> from RFC 2579.  It's fairly widely used.

Randy,

No, not overlooked, just referred to in common parlance as
'table row status '.

OK, I might have said
'the StorageType textual convention from RFC2579'
but thought the colloquialism would be easier to understand
in this context.

Sigh:-(

Tom Petch

---

From: Michael MacFaden <[email-masked]>
Date: Fri, 30 May 2014 07:50:14 -0700 (PDT)

> but thought the colloquialism would be easier to understand

Having coded my fair share of SNMP agents, my understanding
was what Randy's Tom. Tables have both a row status and a storage type
object typically.

Table row status, when one codes that state machine, was about
from the agent's cache to some other part of the system outside the agent
passing the appropriate StorageType flag or othwerise writing that bit of
config to persistent store.

So StorageType is often used with but not the same thing as RowStatus.
And yes that model, per row, was alot of state to maintain, RFC 3514.

I had some notes on using it in RFC 3512
http://tools.ietf.org/html/rfc3512#section-3.8.2

Mike

---

From: Michael MacFaden <[email-masked]>
Date: Fri, 30 May 2014 07:51:52 -0700 (PDT)

> And yes that model, per row, was alot of state to maintain, RFC 3514.

Correction, d/RFC 3514/cut past error. Sorry for the confusion.

Mike